
McScM - Bug # 17: Packaging problems when compiling pure bytecode version

Status: Closed Priority: Normal

Author: Alexander Heußner Category:

Created: 06/05/2010 Assignee: Grégoire Sutre

Updated: 04/08/2011 Due date:

Subject: Packaging problems when compiling pure bytecode version

Description: Compiling the code with the bytecode compiler only (or with camlcp) revealed an error in the build process. 





Both @Util.cmo@ and @Svar.cmo@ are not built correctly by our built process (this does not appear if be 

built it at the same time with the native code, as the native code (built after the bytecode) repairs/hides these 

flaws).





I guess that we need to take a closer look at the makefile...  

History

07/02/2010 04:50 pm - Grégoire Sutre

- Status changed from New to Closed

- Assignee set to Grégoire Sutre

Fixed by switch to ocamlbuild.


07/02/2010 04:51 pm - Grégoire Sutre

- % Done changed from 0 to 100

04/08/2011 01:28 pm - Grégoire Sutre

- Target version set to 1.0
